﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>

  <configSections>

    <!-- Implementación de log4net -->
    <section name = "log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  </configSections>

  <startup>

    <!-- Versión de .NET Framework -->
    <supportedRuntime version = "v4.0" sku=".NETFramework,Version=v4.5"/>
  </startup>

  <connectionStrings>
    <!-- Cadenas de conexión a MSSQL -->
 </connectionStrings>

  <appSettings>

    <!-- Umbral en milisegundos para registrar las acciones de MagicSQL en el log -->
    <add key = "MagicSQL.MsToLog" value="100"/>

    <!-- Habilita el uso de los objetos MagicSQL Query (Qy) para ejecutar instrucciones T-SQL -->
    <add key = "MagicSQL.EnableQy" value="true"/>

    <!-- CryptoID Key 128 bits(16 chars) -->
    <add key = "MagicSQL.CryptoIdKey" value="1234567890abcdef"/>
  </appSettings>

  <!-- Agregar a AssemblyInfo -->
  <!-- // Let log4net know that it can look for configuration in the default application config file -->
  <!-- [assembly: log4net.Config.XmlConfigurator(Watch = true)] -->
  <log4net>

    <!-- Configuración de log4net -->
    <appender name = "log4netAppender" type="log4net.Appender.RollingFileAppender">

      <!-- Ubicación y nombre del archivo de log -->
      <file value = "C:\Logs\nombre_del_archivo.log" />

      <!-- Codificación del archivo log -->
      <encoding value = "utf-8" />

      <!-- Agregar entradas al archivo log -->
      <appendToFile value = "true" />

      <!-- Modo de partición de los archivos log (por fecha o por tamaño) -->

      <!-- Partición de los archivos de log por fecha -->
      <rollingStyle value = "Date" />

      <!-- Partición de los archivos de log por tamaño -->
      <!--
        <rollingStyle value="Size" />
        <maxSizeRollBackups value = "5" />
        <maximumFileSize value="5MB" />
        <staticLogFileName value = "true" />
      -->

      <!-- Formato de las entradas en el archivo log -->
      <layout type = "log4net.Layout.PatternLayout" >
        <conversionPattern value="%date %level &gt; %message%n"/>
      </layout>
    </appender>
    <root>

      <!-- Niveles de errores disponibles para loggear(todos) -->
      <level value = "All" />

      <!-- Si la siguiente línea no se incluye, el archivo de log no se creará aún si log4net está configurado con este appender -->
      <appender-ref ref="log4netAppender"/>
    </root>
  </log4net>
</configuration>
